using System.ComponentModel;
using System.Windows.Forms;
using System.Windows.Forms.DataVisualization.Charting;

namespace ExcelAnalyzer
{
    partial class Form1
    {
        private Container components;
        private System.Windows.Forms.SplitContainer splitContainerMain;
        private System.Windows.Forms.TableLayoutPanel buttonPanel;
        private System.Windows.Forms.Button btnSelectFile1;
        private System.Windows.Forms.Button btnSelectFile2;
        private System.Windows.Forms.Button analyze1;
        private System.Windows.Forms.DataGridView dataGridView1;
        private System.Windows.Forms.DataVisualization.Charting.Chart chart1;
        private System.Windows.Forms.GroupBox scalingGroup;
        private System.Windows.Forms.NumericUpDown numScale;
        private System.Windows.Forms.Label labelKey;                
        private System.Windows.Forms.Button buttonSummary;
        private System.Windows.Forms.DataVisualization.Charting.Chart chart2;
        private System.ComponentModel.ComponentResourceManager resources;
        private TextBox txtTierDifferences;
        private TextBox textBoxStartDate;
        private TextBox textBoxEndDate;
        private Label labelResult;
        private System.Windows.Forms.DateTimePicker dateTimePickerStart;
        private System.Windows.Forms.DateTimePicker dateTimePickerEnd;
        private Button buttonSearch;

        private TextBox GetTextBoxEndDate()
        {
            return textBoxEndDate;
        }
        private void InitializeComponent()
        {
            ComponentResourceManager resources = new ComponentResourceManager(typeof(Form1));
            splitContainerMain = new SplitContainer();
            chartLayout = new TableLayoutPanel();
            scalingGroup = new GroupBox();
            dateTimePickerStart = new DateTimePicker();
            dateTimePickerEnd = new DateTimePicker();
            numScale = new NumericUpDown();
            panel1 = new Panel();
            panel2 = new Panel();
            buttonPanel = new TableLayoutPanel();
            topButtonsPanel = new TableLayoutPanel();
            btnSelectFile1 = new Button();
            analyze1 = new Button();
            buttonSummary = new Button();
            btnSelectFile2 = new Button();
            bottomPanel = new TableLayoutPanel();
            textBoxStartDate = new TextBox();
            textBoxEndDate = new TextBox();
            labelResult = new Label();
            button1 = new Button();
            txtTierDifferences = new TextBox();
            dataGridView1 = new DataGridView();
            labelKey = new Label();
            statusStrip = new StatusStrip();
            statusLabel = new ToolStripStatusLabel();
            ((ISupportInitialize)splitContainerMain).BeginInit();
            splitContainerMain.Panel1.SuspendLayout();
            splitContainerMain.Panel2.SuspendLayout();
            splitContainerMain.SuspendLayout();
            chartLayout.SuspendLayout();
            scalingGroup.SuspendLayout();
            ((ISupportInitialize)numScale).BeginInit();
            buttonPanel.SuspendLayout();
            topButtonsPanel.SuspendLayout();
            bottomPanel.SuspendLayout();
            ((ISupportInitialize)dataGridView1).BeginInit();
            statusStrip.SuspendLayout();
            SuspendLayout();
            // 
            // splitContainerMain
            // 
            splitContainerMain.Dock = DockStyle.Fill;
            splitContainerMain.Location = new Point(0, 0);
            splitContainerMain.Name = "splitContainerMain";
            // 
            // splitContainerMain.Panel1
            // 
            splitContainerMain.Panel1.Controls.Add(chartLayout);
            // 
            // splitContainerMain.Panel2
            // 
            splitContainerMain.Panel2.Controls.Add(dataGridView1);
            splitContainerMain.Size = new Size(2538, 1384);
            splitContainerMain.SplitterDistance = 2045;
            splitContainerMain.TabIndex = 0;
            // 
            // chartLayout
            // 
            chartLayout.AutoSize = true;
            chartLayout.ColumnCount = 1;
            chartLayout.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20F));
            chartLayout.Controls.Add(scalingGroup, 0, 0);
            chartLayout.Controls.Add(panel1, 0, 1);
            chartLayout.Controls.Add(panel2, 0, 2);
            chartLayout.Controls.Add(buttonPanel, 0, 4);
            chartLayout.Controls.Add(txtTierDifferences, 0, 3);
            chartLayout.Dock = DockStyle.Fill;
            chartLayout.Location = new Point(0, 0);
            chartLayout.Name = "chartLayout";
            chartLayout.Padding = new Padding(10, 15, 10, 15);
            chartLayout.RowCount = 5;
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 10F));
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 20F));
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 20F));
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 20F));
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 20F));
            chartLayout.RowStyles.Add(new RowStyle(SizeType.Percent, 10F));
            chartLayout.Size = new Size(2045, 1384);
            chartLayout.TabIndex = 0;
            // 
            // scalingGroup
            // 
            scalingGroup.Controls.Add(dateTimePickerStart);
            scalingGroup.Controls.Add(dateTimePickerEnd);
            scalingGroup.Controls.Add(numScale);
            scalingGroup.Dock = DockStyle.Fill;
            scalingGroup.Location = new Point(13, 18);
            scalingGroup.Name = "scalingGroup";
            scalingGroup.Size = new Size(2019, 144);
            scalingGroup.TabIndex = 1;
            scalingGroup.TabStop = false;
            scalingGroup.Text = "Scale Data";
            // 
            // dateTimePickerStart
            // 
            dateTimePickerStart.Location = new Point(1379, 0);
            dateTimePickerStart.Name = "dateTimePickerStart";
            dateTimePickerStart.Size = new Size(300, 31);
            dateTimePickerStart.TabIndex = 2;
            dateTimePickerStart.Value = new DateTime(2025, 6, 15, 5, 17, 0, 0);
            // 
            // dateTimePickerEnd
            // 
            dateTimePickerEnd.Location = new Point(1713, 0);
            dateTimePickerEnd.Name = "dateTimePickerEnd";
            dateTimePickerEnd.Size = new Size(300, 31);
            dateTimePickerEnd.TabIndex = 1;
            dateTimePickerEnd.Value = new DateTime(2025, 6, 22, 5, 16, 0, 0);
            // 
            // numScale
            // 
            numScale.Location = new Point(3, 27);
            numScale.Maximum = new decimal(new int[] { 200, 0, 0, 0 });
            numScale.Minimum = new decimal(new int[] { 1, 0, 0, 0 });
            numScale.Name = "numScale";
            numScale.Size = new Size(200, 31);
            numScale.TabIndex = 0;
            numScale.Value = new decimal(new int[] { 1, 0, 0, 0 });
            numScale.ValueChanged += numScale_ValueChanged;
            // 
            // panel1
            // 
            panel1.Location = new Point(13, 168);
            panel1.Name = "panel1";
            panel1.Size = new Size(2019, 294);
            panel1.TabIndex = 4;
            // 
            // panel2
            // 
            panel2.Location = new Point(13, 468);
            panel2.Name = "panel2";
            panel2.Size = new Size(2019, 294);
            panel2.TabIndex = 5;
            // 
            // buttonPanel
            // 
            buttonPanel.ColumnCount = 1;
            buttonPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Absolute, 20F));
            buttonPanel.Controls.Add(topButtonsPanel, 0, 0);
            buttonPanel.Controls.Add(bottomPanel, 0, 1);
            buttonPanel.Dock = DockStyle.Fill;
            buttonPanel.Location = new Point(13, 1068);
            buttonPanel.Name = "buttonPanel";
            buttonPanel.RowCount = 2;
            buttonPanel.RowStyles.Add(new RowStyle(SizeType.Absolute, 50F));
            buttonPanel.RowStyles.Add(new RowStyle(SizeType.Absolute, 60F));
            buttonPanel.Size = new Size(2019, 298);
            buttonPanel.TabIndex = 2;
            // 
            // topButtonsPanel
            // 
            topButtonsPanel.ColumnCount = 4;
            topButtonsPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 25F));
            topButtonsPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 25F));
            topButtonsPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 25F));
            topButtonsPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 25F));
            topButtonsPanel.Controls.Add(btnSelectFile1, 0, 0);
            topButtonsPanel.Controls.Add(analyze1, 2, 0);
            topButtonsPanel.Controls.Add(buttonSummary, 3, 0);
            topButtonsPanel.Controls.Add(btnSelectFile2, 1, 0);
            topButtonsPanel.Dock = DockStyle.Fill;
            topButtonsPanel.Location = new Point(3, 3);
            topButtonsPanel.Name = "topButtonsPanel";
            topButtonsPanel.RowCount = 1;
            topButtonsPanel.RowStyles.Add(new RowStyle(SizeType.Absolute, 20F));
            topButtonsPanel.Size = new Size(2013, 44);
            topButtonsPanel.TabIndex = 1;
            // 
            // btnSelectFile1
            // 
            btnSelectFile1.Location = new Point(3, 3);
            btnSelectFile1.Name = "btnSelectFile1";
            btnSelectFile1.Size = new Size(497, 38);
            btnSelectFile1.TabIndex = 0;
            btnSelectFile1.Text = "Select File 1";
            btnSelectFile1.Click += btnSelectFile1_Click;
            // 
            // analyze1
            // 
            analyze1.Location = new Point(1009, 3);
            analyze1.Name = "analyze1";
            analyze1.Size = new Size(497, 38);
            analyze1.TabIndex = 0;
            analyze1.Text = "Analyze Data";
            analyze1.UseVisualStyleBackColor = true;
            analyze1.Click += buttonSearch_Click;
            // 
            // buttonSummary
            // 
            buttonSummary.Location = new Point(1512, 3);
            buttonSummary.Name = "buttonSummary";
            buttonSummary.Size = new Size(498, 38);
            buttonSummary.TabIndex = 2;
            buttonSummary.Text = "Summary";
            buttonSummary.UseVisualStyleBackColor = true;
            buttonSummary.Click += btnCompare_Click;
            // 
            // btnSelectFile2
            // 
            btnSelectFile2.Location = new Point(506, 3);
            btnSelectFile2.Name = "btnSelectFile2";
            btnSelectFile2.Size = new Size(497, 38);
            btnSelectFile2.TabIndex = 1;
            btnSelectFile2.Text = "Select File 2";
            btnSelectFile2.Click += btnSelectFile2_Click;
            // 
            // bottomPanel
            // 
            bottomPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 33F));
            bottomPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 33F));
            bottomPanel.ColumnStyles.Add(new ColumnStyle(SizeType.Percent, 34F));
            bottomPanel.Controls.Add(textBoxStartDate, 0, 0);
            bottomPanel.Controls.Add(textBoxEndDate, 1, 0);
            bottomPanel.Controls.Add(labelResult, 0, 1);
            bottomPanel.Controls.Add(button1, 2, 0);
            bottomPanel.Location = new Point(3, 53);
            bottomPanel.Name = "bottomPanel";
            bottomPanel.RowStyles.Add(new RowStyle(SizeType.Percent, 50F));
            bottomPanel.RowStyles.Add(new RowStyle(SizeType.Percent, 50F));
            bottomPanel.Size = new Size(2013, 178);
            bottomPanel.TabIndex = 0;
            // 
            // textBoxStartDate
            // 
            textBoxStartDate.Dock = DockStyle.Fill;
            textBoxStartDate.Location = new Point(3, 3);
            textBoxStartDate.Name = "textBoxStartDate";
            textBoxStartDate.PlaceholderText = "Start MM-dd";
            textBoxStartDate.Size = new Size(658, 31);
            textBoxStartDate.TabIndex = 0;
            // 
            // textBoxEndDate
            // 
            textBoxEndDate.Dock = DockStyle.Fill;
            textBoxEndDate.Location = new Point(667, 3);
            textBoxEndDate.Name = "textBoxEndDate";
            textBoxEndDate.PlaceholderText = "End MM-dd";
            textBoxEndDate.Size = new Size(658, 31);
            textBoxEndDate.TabIndex = 1;
            // 
            // labelResult
            // 
            labelResult.BorderStyle = BorderStyle.FixedSingle;
            bottomPanel.SetColumnSpan(labelResult, 3);
            labelResult.Dock = DockStyle.Fill;
            labelResult.Location = new Point(3, 89);
            labelResult.MaximumSize = new Size(0, 100);
            labelResult.Name = "labelResult";
            labelResult.Size = new Size(2007, 89);
            labelResult.TabIndex = 2;
            labelResult.Text = "Results will appear here.";
            labelResult.TextAlign = ContentAlignment.MiddleCenter;
            // 
            // button1
            // 
            button1.Location = new Point(1331, 3);
            button1.Name = "button1";
            button1.Size = new Size(112, 34);
            button1.TabIndex = 3;
            button1.Text = "button1";
            button1.UseVisualStyleBackColor = true;
            button1.Click += button1_Click_1;
            // 
            // txtTierDifferences
            // 
            txtTierDifferences.BackColor = Color.White;
            txtTierDifferences.BorderStyle = BorderStyle.FixedSingle;
            txtTierDifferences.Dock = DockStyle.Fill;
            txtTierDifferences.Font = new Font("Consolas", 9F);
            txtTierDifferences.Location = new Point(13, 768);
            txtTierDifferences.Multiline = true;
            txtTierDifferences.Name = "txtTierDifferences";
            txtTierDifferences.ReadOnly = true;
            txtTierDifferences.ScrollBars = ScrollBars.Vertical;
            txtTierDifferences.Size = new Size(2019, 294);
            txtTierDifferences.TabIndex = 3;
            // 
            // dataGridView1
            // 
            dataGridView1.ColumnHeadersHeight = 34;
            dataGridView1.Dock = DockStyle.Fill;
            dataGridView1.Location = new Point(0, 0);
            dataGridView1.Name = "dataGridView1";
            dataGridView1.RowHeadersWidth = 62;
            dataGridView1.Size = new Size(489, 1384);
            dataGridView1.TabIndex = 1;
            // 
            // labelKey
            // 
            labelKey.AutoSize = true;
            labelKey.BorderStyle = BorderStyle.FixedSingle;
            labelKey.Font = new Font("Segoe UI", 9F);
            labelKey.Location = new Point(0, 0);
            labelKey.Name = "labelKey";
            labelKey.Size = new Size(495, 202);
            labelKey.TabIndex = 1;
            labelKey.Text = resources.GetString("labelKey.Text");
            // 
            // statusStrip
            // 
            statusStrip.ImageScalingSize = new Size(24, 24);
            statusStrip.Items.AddRange(new ToolStripItem[] { statusLabel });
            statusStrip.Location = new Point(0, 1362);
            statusStrip.Name = "statusStrip";
            statusStrip.Size = new Size(2538, 22);
            statusStrip.TabIndex = 0;
            // 
            // statusLabel
            // 
            statusLabel.Name = "statusLabel";
            statusLabel.Size = new Size(0, 15);
            // 
            // Form1
            // 
            ClientSize = new Size(2538, 1384);
            Controls.Add(statusStrip);
            Controls.Add(splitContainerMain);
            Controls.Add(labelKey);
            Name = "Form1";
            splitContainerMain.Panel1.ResumeLayout(false);
            splitContainerMain.Panel1.PerformLayout();
            splitContainerMain.Panel2.ResumeLayout(false);
            ((ISupportInitialize)splitContainerMain).EndInit();
            splitContainerMain.ResumeLayout(false);
            chartLayout.ResumeLayout(false);
            chartLayout.PerformLayout();
            scalingGroup.ResumeLayout(false);
            ((ISupportInitialize)numScale).EndInit();
            buttonPanel.ResumeLayout(false);
            topButtonsPanel.ResumeLayout(false);
            bottomPanel.ResumeLayout(false);
            bottomPanel.PerformLayout();
            ((ISupportInitialize)dataGridView1).EndInit();
            statusStrip.ResumeLayout(false);
            statusStrip.PerformLayout();
            ResumeLayout(false);
            PerformLayout();



        }
        private TableLayoutPanel chartLayout;
        private TableLayoutPanel topButtonsPanel;
        private TableLayoutPanel bottomPanel;
        private Panel panel1;
        private Panel panel2;
        private Button button1;
    }
}
